Subject: Re: bug#71364: Fix Table.el export

From: Reuben Thomas <[email-masked]>
Date: Sat, 8 Jun 2024 12:27:42 +0100

On Sat, 8 Jun 2024 at 12:19, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Sat, 8 Jun 2024 11:59:52 +0100
> > Cc: [email-masked], [email-masked],
> [email-masked]
> >
> > On Sat, 8 Jun 2024 at 11:51, Eli Zaretskii <[email-masked]> wrote:
> >
> >  > From: Reuben Thomas <[email-masked]>
> >  > Date: Sat, 8 Jun 2024 11:05:25 +0100
> >  > Cc: Pranshu <[email-masked]>, Vladimir Nikishkin <
> [email-masked]>,
> >  >       [email-masked]
> >  >
> >  > Specifically, it works fine if, like me, you do not want to put LaTeX
> markup in tables. This was certainly
> >  my
> >  > case, as I was using it with org-mode. In this case, any character
> that is active in LaTeX can and
> >  should simply
> >  > be escaped on output.
> >  >
> >  > What is basically broken is the ability to export to LaTeX when the
> table contains LaTeX markup.
> >
> >  But the function being discussed is said to be specific to export to
> >  LaTeX, so it should expect LaTeX markup in the cells, no?
> >
> > No, it is supposed to export arbitrary text as valid LaTeX. At least,
> that is my understanding.
>
> So it's a YES, because I was saying the same thing.  Or maybe we
> disagree about whether a function written for exporting to LaTeX
> should or should not expect LaTeX markup.
>

It looks like I was wrong: `table--generate-source-scan-lines` is expecting
LaTeX input.

Good luck with that!

-- 
https://rrt.sc3d.org